# osg::TexGenNode Class Reference

Node for defining the position of TexGen in the scene. More...

Inheritance diagram for osg::TexGenNode:

[legend]
List of all members.

## Public Member Functions

| TexGenNode ()
| TexGenNode (TexGen *texgen)
| TexGenNode (const TexGenNode &tgb, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, TexGenNode)
void | setTextureUnit (unsigned int textureUnit)
unsigned int | getTextureUnit () const
void | setTexGen (TexGen *texgen)
| Set the TexGen.
TexGen * | getTexGen ()
| Get the TexGen.
const TexGen * | getTexGen () const
| Get the const TexGen.

## Protected Member Functions

virtual | ~TexGenNode ()

## Protected Attributes

unsigned int | _textureUnit
StateAttribute::GLModeValue | _value
osg::ref_ptr< TexGen > | _texgen

## Detailed Description

Node for defining the position of TexGen in the scene.

## Constructor & Destructor Documentation

TexGenNode::TexGenNode | ( |  | ) |

TexGenNode::TexGenNode | ( | TexGen * | texgen | ) |

TexGenNode::TexGenNode | ( | const TexGenNode & | tgb,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) |

TexGenNode::~TexGenNode | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

const TexGen* osg::TexGenNode::getTexGen | ( |  | ) | const`[inline]`

| Get the const TexGen.

TexGen* osg::TexGenNode::getTexGen | ( |  | ) | `[inline]`

| Get the TexGen.

unsigned int osg::TexGenNode::getTextureUnit | ( |  | ) | const`[inline]`

osg::TexGenNode::META_Node | ( | osg | ,
|  | TexGenNode |
| ) |

void TexGenNode::setTexGen | ( | TexGen * | texgen | ) |

| Set the TexGen.

void osg::TexGenNode::setTextureUnit | ( | unsigned int | textureUnit | ) | `[inline]`

## Member Data Documentation

osg::ref_ptr<TexGen> osg::TexGenNode::_texgen `[protected]`

unsigned int osg::TexGenNode::_textureUnit `[protected]`

StateAttribute::GLModeValue osg::TexGenNode::_value `[protected]`

The documentation for this class was generated from the following files:

- TexGenNode
- TexGenNode.cpp